Skip to main content
GET
/
v1
/
financials
/
{cik}
/
cashflow
Cash flow statements
curl --request GET \
  --url https://api.ivory.finance/v1/financials/{cik}/cashflow \
  --header 'X-API-Key: <api-key>'
[
  {
    "accession_number": "<string>",
    "cik": "<string>",
    "ticker": "<string>",
    "report_period": "2023-12-25",
    "fiscal_year": 123,
    "fiscal_period_code": "<string>",
    "period_type": "<string>",
    "net_cash_flow_from_operations": 123,
    "depreciation_and_amortization": 123,
    "share_based_compensation": 123,
    "capital_expenditure": 123,
    "net_cash_flow_from_investing": 123,
    "net_cash_flow_from_financing": 123,
    "dividends_and_other_cash_distributions": 123,
    "free_cash_flow": 123,
    "change_in_cash_and_equivalents": 123,
    "ending_cash_balance": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

cik
string
required

Query Parameters

fiscal_year
integer | null
period
string | null

FY, Q1, Q2, Q3, or Q4

limit
integer
default:8
Required range: 1 <= x <= 40

Response

Successful Response

accession_number
string
required
cik
string | null
ticker
string | null
report_period
string<date> | null
fiscal_year
integer | null
fiscal_period_code
string | null
period_type
string | null
net_cash_flow_from_operations
number | null
depreciation_and_amortization
number | null
share_based_compensation
number | null
capital_expenditure
number | null
net_cash_flow_from_investing
number | null
net_cash_flow_from_financing
number | null
dividends_and_other_cash_distributions
number | null
free_cash_flow
number | null
change_in_cash_and_equivalents
number | null
ending_cash_balance
number | null